@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  bmoth startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..
set PATH=%PATH%;%APP_HOME%/lib

@rem Add default JVM options here. You can also use JAVA_OPTS and BMOTH_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS="-Djava.library.path=$APP_HOME/lib"

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\bmoth.jar;%APP_HOME%\lib\com.microsoft.z3.jar;%APP_HOME%\lib\antlr4-4.7.jar;%APP_HOME%\lib\guava-23.2-jre.jar;%APP_HOME%\lib\commons-lang3-3.6.jar;%APP_HOME%\lib\jgrapht-core-1.0.1.jar;%APP_HOME%\lib\richtextfx-0.8.1.jar;%APP_HOME%\lib\mvvmfx-1.7.0.jar;%APP_HOME%\lib\mvvmfx-testing-utils-1.7.0.jar;%APP_HOME%\lib\java-getopt-1.0.13.jar;%APP_HOME%\lib\antlr4-runtime-4.7.jar;%APP_HOME%\lib\antlr-runtime-3.5.2.jar;%APP_HOME%\lib\ST4-4.0.8.jar;%APP_HOME%\lib\org.abego.treelayout.core-1.0.3.jar;%APP_HOME%\lib\javax.json-1.0.4.jar;%APP_HOME%\lib\icu4j-58.2.jar;%APP_HOME%\lib\jsr305-1.3.9.jar;%APP_HOME%\lib\error_prone_annotations-2.0.18.jar;%APP_HOME%\lib\j2objc-annotations-1.1.jar;%APP_HOME%\lib\animal-sniffer-annotations-1.14.jar;%APP_HOME%\lib\reactfx-2.0-M5.jar;%APP_HOME%\lib\undofx-1.3.1.jar;%APP_HOME%\lib\flowless-0.6.jar;%APP_HOME%\lib\wellbehavedfx-0.3.jar;%APP_HOME%\lib\slf4j-api-1.7.12.jar;%APP_HOME%\lib\typetools-0.4.1.jar;%APP_HOME%\lib\doc-annotations-0.2.jar;%APP_HOME%\lib\junit-4.12.jar;%APP_HOME%\lib\junit-jupiter-api-5.0.0-RC2.jar;%APP_HOME%\lib\hamcrest-core-1.3.jar;%APP_HOME%\lib\opentest4j-1.0.0-RC1.jar;%APP_HOME%\lib\junit-platform-commons-1.0.0-RC2.jar

@rem Execute bmoth
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %BMOTH_OPTS%  -classpath "%CLASSPATH%" de.bmoth.app.App %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable BMOTH_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%BMOTH_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
